{
    /**
     * @param {HTMLElement} host
     * @param {import("../../forms/1.0.1/GOVBRFormsUserControl.mjs").GOVBRFormsUserControl} data
     */
    const init = async (host, data) => {
        await GOVBRPlataformaJS.importarModulo(data.URL_CDN, 'forms', data.VERSAO_JS_COMPONENTE, 'GOVBRFormsUC');
        host.innerHTML = `
        <div class="govbr-forms-base"></div>
        `;
        new GOVBRFormsUC(data, host.querySelector('.govbr-forms-base'), !!data.MODO_PREENCHIMENTO, null, 'interno');
    };
    GOVBRDemos.addInitComponente('forms-visualizacao', init);
}
